document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Date suggestions
  const dateIdeas = [
    'Cook paella together',
    'Learn flamenco dancing',
    'Visit a Spanish wine bar',
    'Have a tapas night',
    'Watch Spanish cinema classics'
  ];

  const dateSuggestions = document.getElementById('dateSuggestions');
  
  dateIdeas.forEach(idea => {
    const suggestion = document.createElement('div');
    suggestion.classList.add('card');
    suggestion.innerHTML = `<p>${idea}</p>`;
    dateSuggestions.appendChild(suggestion);
  });

  // Navbar scroll effect
  let lastScroll = 0;
  window.addEventListener('scroll', () => {
    const navbar = document.querySelector('.navbar');
    const currentScroll = window.pageYOffset;
    
    if (currentScroll > lastScroll) {
      navbar.style.transform = 'translateY(-100%)';
    } else {
      navbar.style.transform = 'translateY(0)';
    }
    lastScroll = currentScroll;
  });
});
